#ifndef _Handle_PTopoDS_Edge_HeaderFile
#define _Handle_PTopoDS_Edge_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PTopoDS_HShape_HeaderFile
#include <Handle_PTopoDS_HShape.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PTopoDS_HShape);
class PTopoDS_Edge;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PTopoDS_Edge);

class Handle(PTopoDS_Edge) : public Handle(PTopoDS_HShape) {
  public:

    Handle(PTopoDS_Edge)():Handle(PTopoDS_HShape)() {} 
    Handle(PTopoDS_Edge)(const Handle(PTopoDS_Edge)& aHandle) : Handle(PTopoDS_HShape)(aHandle) 
     {
     }

    Handle(PTopoDS_Edge)(const PTopoDS_Edge* anItem) : Handle(PTopoDS_HShape)((PTopoDS_HShape *)anItem) 
     {
     }

    Handle(PTopoDS_Edge)& operator=(const Handle(PTopoDS_Edge)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PTopoDS_Edge)& operator=(const PTopoDS_Edge* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PTopoDS_Edge* operator->() const 
     {
      return (PTopoDS_Edge *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PTopoDS_Edge) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
